javax.persistence.metamodel

## Interface Bindable<T>

Type Parameters:
  `T` - The type of the represented object or attribute

All Known Subinterfaces:
  CollectionAttribute<X,E>, EntityType<X>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

    public interface Bindable<T>

Instances of the type `Bindable` represent object or attribute types that can be bound into a `Path`.

Since:
  Java Persistence 2.0

### Nested Class Summary

Nested Classes
`static class` `Bindable.BindableType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<T>` `getBindableJavaType()` Return the Java type of the represented object.
`Bindable.BindableType` `getBindableType()` Return the bindable type of the represented object.

### Method Detail

#### getBindableType

    Bindable.BindableType getBindableType()

Return the bindable type of the represented object.

Returns:
  bindable type

#### getBindableJavaType

    Class<T> getBindableJavaType()

Return the Java type of the represented object. If the bindable type of the object is `PLURAL_ATTRIBUTE`, the Java element type is returned. If the bindable type is `SINGULAR_ATTRIBUTE` or `ENTITY_TYPE`, the Java type of the represented entity or attribute is returned.

Returns:
  Java type